Status: Resolved Priority: Should have
Author: Mattias Nilsson Category:
Created: 2012-12-16 Assigned To: Mattias Nilsson
Updated: 2012-12-20 Due date:
Subject: When deleting a page from pagetree, the modal prompt window is missing pagetitle and childrens pagetitles.
Description

When deleting a page from pagetree, the modal prompt window is missing pagetitle and childrens pagetitles.

In deletePageDialog.html the markup is that follows:

<div class="modal" id="pagetreeDeleteDialog">
    <div class="modal-header">        {{view T3.Content.UI.ButtonDialog label="x" target="parentView" data-dismiss="modal"
action="cancel" class="close t3-button" title="x"}}
        <h3>Are you sure you want to delete the page "{{pageTitle}}"?</h3>
        <p>This will delete the page {{page}} {{children}}.
            This operation can be undone in the workspace management.</p>
    </div>
    <div class="modal-footer">            {{view T3.Content.UI.ButtonDialog label="Cancel" target="parentView" action="cancel"  
class="btn t3-button" title="Cancel"}}            {{view T3.Content.UI.ButtonDialog label="Delete" target="parentView" action="delete"  
class="btn btn-danger t3-button icon-trash icon-white" title="Delete"}}
        </div>
</div>
<div class="modal-backdrop in"></div>

The markup:{{page}} {{children}} doesn´t output anything.

Associated revisions
Revision 403a1e6e - 2012-12-20 11:56 - Mattias Nilsson

[TASK] Add subpage removal hint to delete prompt

When deleting a page from the page tree the modal prompt description
now shows that subpages will be removed as well (if present).

Some cleanup is done along the way.

Change-Id: I6609f0d67cc153840879b3f8b666a3bbfff5bc7b
Resolves: #44035

History
#1 - 2012-12-16 13:07 - Mattias Nilsson

Added a fix for a review: https://review.typo3.org/#/c/17177/

#2 - 2012-12-17 17:13 - Karsten Dambekalns
- Status changed from New to Under Review
https://review.typo3.org/#/c/17177/


#3 - 2012-12-20 12:36 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:403a1e6ed78bd2d879de4a9ef8a58c182e42fecb.
